summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xbuild_all.sh2
-rw-r--r--changelog.md2
-rw-r--r--compiler/errorhandling.nim2
3 files changed, 3 insertions, 3 deletions
diff --git a/build_all.sh b/build_all.sh
index e66980e56..c3c6e68b7 100755
--- a/build_all.sh
+++ b/build_all.sh
@@ -42,7 +42,7 @@ build_nim_csources(){
   echo_run cp bin/nim $nim_csources
 }
 
-[ -f $nim_csources ] || echo_run build_nim_csources $@
+[ -f $nim_csources ] || echo_run build_nim_csources "$@"
 
 # Note: if fails, may need to `cd csources && git pull`
 echo_run bin/nim c --skipUserCfg --skipParentCfg koch
diff --git a/changelog.md b/changelog.md
index 900693644..53d30bf36 100644
--- a/changelog.md
+++ b/changelog.md
@@ -73,7 +73,7 @@
 - Added `asyncdispatch.activeDescriptors` that returns the number of currently
   active async event handles/file descriptors.
 
-- Added to `asynchttpserver` `getPort` and `getSocket`.
+- Added `getPort` to `asynchttpserver`.
 
 - `--gc:orc` is now 10% faster than previously for common workloads. If
   you have trouble with its changed behavior, compile with `-d:nimOldOrc`.
diff --git a/compiler/errorhandling.nim b/compiler/errorhandling.nim
index d7092d477..cda7ab3f4 100644
--- a/compiler/errorhandling.nim
+++ b/compiler/errorhandling.nim
@@ -10,7 +10,7 @@
 ## This module contains support code for new-styled error
 ## handling via an `nkError` node kind.
 
-import ast, renderer, options, lineinfos, strutils, types
+import ast, renderer, options, strutils, types
 
 type
   ErrorKind* = enum ## expand as you need.